package afd.namesandnumbers;

import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.PackageManager.NameNotFoundException;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.widget.CheckBox;
import android.widget.TextView;

import afd.nn.Engine;

public class AboutForm extends SharedAfdActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_about_form);
        
 		PackageManager manager = this.getPackageManager();
 		PackageInfo info;
 		try {
			((TextView)findViewById(R.id.about_datapath)).setText(Common.dataPath(this.getApplicationContext()));


 			info = manager.getPackageInfo(this.getPackageName(), 0);

			((TextView)findViewById(R.id.about_version_name)).setText(info.versionName);

			((TextView)findViewById(R.id.about_version_code)).setText(String.valueOf(info.versionCode));
			((TextView)findViewById(R.id.about_nativeLibraryDir)).setText(String.valueOf(info.applicationInfo.nativeLibraryDir));

			boolean loggingIsEnabled = afd.nn.Engine.isLoggingEnabled();
			((CheckBox)findViewById(R.id.checkBox)).setChecked(loggingIsEnabled);

		} catch (NameNotFoundException e) {
 			// Can't display version.
 		} catch (Exception e) {
			Log.e("AFD", "Error in About form", e);
		}
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		super.onCreateOptionsMenu(menu);
		menu.findItem(R.id.about_menu_item).setEnabled(false);
		return true;
	}

	public void onCheckboxClicked(View view) {
		// Is the view now checked?
		boolean checked = ((CheckBox) view).isChecked();
		boolean loggingIsEnabled = afd.nn.Engine.enableLogging(checked, Common.dataPath(this.getApplicationContext()) + "debug.log");
	}
}
