package afd.namesandnumbers;

import java.util.ArrayList;
import afd.namesandnumbers.R;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class AddressDetailListAdapter extends BaseAdapter {
	private static ArrayList<AddressDetail> addressDetailsList;
	
	private LayoutInflater inflater;
	
	public AddressDetailListAdapter(Context context, ArrayList<AddressDetail> details){
		addressDetailsList = details;
		inflater = LayoutInflater.from(context);
	}
	
	@Override
	public int getCount(){
		return addressDetailsList.size();
	}

	@Override
	public Object getItem(int position) {
		return addressDetailsList.get(position); 
	}

	@Override
	public long getItemId(int position) {
		return position;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		ViewHolder holder;
		  if (convertView == null) {
		   convertView = inflater.inflate(R.layout.detail_row_view, null);
		   holder = new ViewHolder();
		   holder.fieldNameText = (TextView) convertView.findViewById(R.id.fieldName);
		   holder.fieldValueText = (TextView) convertView.findViewById(R.id.fieldValue);

		   convertView.setTag(holder);
		  } else {
		   holder = (ViewHolder) convertView.getTag();
		  }
		  
		  holder.fieldNameText.setText(addressDetailsList.get(position).getName());
		  holder.fieldValueText.setText(addressDetailsList.get(position).getValue());

		  return convertView;
	}
	
	static class ViewHolder {
	  TextView fieldNameText;
	  TextView fieldValueText;
	 }
}
