package afd.namesandnumbers;

import android.app.ProgressDialog;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.PackageManager.NameNotFoundException;
import android.os.Bundle;
import android.os.Handler;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

public class FastFindForm extends SharedAfdActivity {

	EditText fastfindText;
	ResultsCollection results;	
	ProgressDialog progressDialog;
	Handler handler;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_fastfind_form);
        
        fastfindText = (EditText)findViewById(R.id.fastfindText);
        
        // Display data path.
 		TextView datapath = (TextView)findViewById(R.id.data_path);
 		datapath.setText(Common.dataPath(this.getApplicationContext()));
 		
 		// Display version.
 		TextView version = (TextView)findViewById(R.id.appVersion);
 		PackageManager manager = this.getPackageManager();
 		PackageInfo info;
 		try {
 			info = manager.getPackageInfo(this.getPackageName(), 0);
 		    version.setText(info.versionName);
 		} catch (NameNotFoundException e) {
 			// Can't display version.
 		}
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		super.onCreateOptionsMenu(menu);
		menu.findItem(R.id.fastfind_menu_item).setEnabled(false);
		return true;
	}

    public void doFastfind(View view){

		String search = fastfindText.getText().toString();
		String dataPath = Common.dataPath(this);

     	new DoFastFindAsyncTask(FastFindForm.this).execute(search, dataPath);

    }
}
