package afd.namesandnumbers;

import java.util.List;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class ResultItemListAdapter extends BaseAdapter {
	private static List<ResultItem> resultItemList;
	
	private LayoutInflater inflater;
	
	public ResultItemListAdapter(Context context, List<ResultItem> results){
		resultItemList = results;
		inflater = LayoutInflater.from(context);
	}
	
	@Override
	public int getCount(){
		return resultItemList.size();
	}

	@Override
	public Object getItem(int position) {
		return resultItemList.get(position); 
	}

	@Override
	public long getItemId(int position) {
		return position;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		ViewHolder holder;
		  if (convertView == null) {
		   convertView = inflater.inflate(R.layout.result_row_view, null);
		   holder = new ViewHolder();
		   holder.listValue = (TextView) convertView.findViewById(R.id.listItem);
		   
		   convertView.setTag(holder);
		  } else {
		   holder = (ViewHolder) convertView.getTag();
		  }
		  
		  holder.listValue.setText(resultItemList.get(position).getListValue());

		  return convertView;
	}
	
	static class ViewHolder {
	  TextView listValue;
	 }
}
