package afd.namesandnumbers;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;

public class ResultsView extends SharedAfdActivity {

	// this variable is static because bundle is null when user presses "back" on detail screen...
	static ResultsCollection results = null;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.results_form);
		
		Bundle bundle = getIntent().getExtras();
		if (bundle != null) {
			results = bundle.getParcelable("afd.namesandnumbers.ResultsCollection");
			Log.i("AFD", "Results Displayed: " + results.getList().size());
		}

		final ListView lv = (ListView) findViewById(R.id.ResultsListView);
		lv.setAdapter(new ResultItemListAdapter(this, results.getList()));

		lv.setOnItemClickListener(new OnItemClickListener() {

			@Override
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				ResultItem item = results.getList().get(position);
				String recordKey = item.getRecordKey();

				Intent detailsIntent = new Intent(view.getContext(), DetailsView.class);

				detailsIntent.putExtra("RecordKey", recordKey);
				startActivity(detailsIntent);
			}
		});
	}

}
