package afd.namesandnumbers;

import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;

public class SharedAfdActivity extends Activity {

	/*
	This generates an Options menu with items common to all derived Activities.
	All items are enabled by default - each activity will disable the menu item pointing to itself.
	 */
	@Override
    public boolean onCreateOptionsMenu(Menu menu) {
		super.onCreateOptionsMenu(menu);
    	MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.standard_menu, menu);
        return true;
    }

	@Override
	public boolean onMenuItemSelected(int featureId, MenuItem item) {

		switch (item.getItemId()) {
		case R.id.fastfind_menu_item:
			startActivity(new Intent(getApplicationContext(), FastFindForm.class));
			return true;

		case R.id.search_menu_item:
			startActivity(new Intent(getApplicationContext(), SearchForm.class));
			return true;
			
		case R.id.update_menu_item:
			startActivity(new Intent(getApplicationContext(), UpdateForm.class));
			return true;

		case R.id.about_menu_item:
			startActivity(new Intent(getApplicationContext(), AboutForm.class));
			return true;

		default:
			break;
		}

		return super.onMenuItemSelected(featureId, item);
	}
}
